Create a new db note

Request Information

URI Parameters :

None.

Body Parameters :

db_notes
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_table_id

Table Id db notes linked to

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name

string

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id on the given table on which db note linked to

globally unique identifier

Required

user_id

Created User ID

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating a db_notes

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating a db_notes

user

Optionally required : user_id, user_code or user must be provided

date_add

Date Added. is on the local user time.

date
dateutc_add

Date Added. Auto-filled by NOW if empty

date
notes

Notes

string

Required

reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "8ef42c15-2f9a-4c87-852d-27490b696f68",
  "db_table_id": "60baf47c-d36b-48e5-b860-7793beb3e856",
  "db_table_name": "sample string 3",
  "id_in_table": "65e66077-9ef0-43d6-8edb-25d8dd1e102e",
  "user_id": "e89aa421-c9d1-45b2-95d9-a891b7c48205",
  "user_code": "sample string 6",
  "date_add": "2026-11-12T16:44:58.04328+00:00",
  "dateutc_add": "2026-11-12T16:44:58.04328+00:00",
  "notes": "sample string 9",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-12T16:44:58.04328+00:00"
}

Response Information

Resource Description :

IHttpActionResult

db_notes
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_table_id

Table Id db notes linked to

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name

string

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id on the given table on which db note linked to

globally unique identifier

Required

user_id

Created User ID

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating a db_notes

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating a db_notes

user

Optionally required : user_id, user_code or user must be provided

date_add

Date Added. is on the local user time.

date
dateutc_add

Date Added. Auto-filled by NOW if empty

date
notes

Notes

string

Required

reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "98c2568e-6919-4c47-a6d9-6d11af529514",
  "db_table_id": "f91b05b7-2a9d-4e8d-8713-8e85e87df7ca",
  "db_table_name": "sample string 3",
  "id_in_table": "4f5d060d-3e42-49ff-b6f5-b1165a559b4c",
  "user_id": "6e1d683c-04c9-4643-8ae7-94894ec4553a",
  "user_code": "sample string 6",
  "date_add": "2026-11-12T16:44:58.0617406+00:00",
  "dateutc_add": "2026-11-12T16:44:58.0617406+00:00",
  "notes": "sample string 9",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-12T16:44:58.0617406+00:00"
}